Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(527)

Issue 2776983002: [DeviceService] Move all vibration codes into //services/device (Closed)

Created:
8 months, 3 weeks ago by leonhsl(Using Gerrit)
Modified:
8 months ago
CC:
Aaron Boodman, abarth-chromium, agrieve+watch_chromium.org, awdf+watch_chromium.org, blink-reviews, chromium-reviews, darin (slow to review), darin-cc_chromium.org, jam, mlamouri+watch-blink_chromium.org, mvanouwerkerk+watch_chromium.org, Peter Beverloo, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[DeviceService] Move all vibration codes into //services/device We have already eliminated all deps on //device/vibration from //content, so now this CL - Moves //device/vibration to //services/device/vibration - Makes //services/device/vibration visible in GN only to //services/device BUG=686693 Review-Url: https://codereview.chromium.org/2776983002 Cr-Commit-Position: refs/heads/master@{#465455} Committed: https://chromium.googlesource.com/chromium/src/+/619fa1b9313edde43a21f0506e6c16f3ba7ee04f

Patch Set 1 #

Patch Set 2 : Rebase only #

Unified diffs Side-by-side diffs Delta from patch set Stats (+58 lines, -319 lines) Patch
D device/vibration/BUILD.gn View 1 chunk +0 lines, -34 lines 0 comments Download
D device/vibration/OWNERS View 1 1 chunk +0 lines, -6 lines 0 comments Download
D device/vibration/android/BUILD.gn View 1 chunk +0 lines, -26 lines 0 comments Download
D device/vibration/android/java/src/org/chromium/device/vibration/VibrationManagerImpl.java View 1 chunk +0 lines, -111 lines 0 comments Download
D device/vibration/vibration_export.h View 1 chunk +0 lines, -29 lines 0 comments Download
D device/vibration/vibration_manager.mojom View 1 chunk +0 lines, -11 lines 0 comments Download
D device/vibration/vibration_manager_impl.h View 1 chunk +0 lines, -24 lines 0 comments Download
D device/vibration/vibration_manager_impl_default.cc View 1 chunk +0 lines, -43 lines 0 comments Download
M services/device/BUILD.gn View 1 5 chunks +6 lines, -10 lines 0 comments Download
M services/device/device_service.h View 1 1 chunk +1 line, -1 line 0 comments Download
M services/device/device_service.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M services/device/public/interfaces/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
A + services/device/public/interfaces/vibration_manager.mojom View 0 chunks +-1 lines, --1 lines 0 comments Download
A + services/device/vibration/BUILD.gn View 1 1 chunk +8 lines, -11 lines 0 comments Download
A services/device/vibration/OWNERS View 1 1 chunk +4 lines, -0 lines 0 comments Download
A + services/device/vibration/android/BUILD.gn View 1 chunk +3 lines, -1 line 0 comments Download
A + services/device/vibration/android/java/src/org/chromium/device/vibration/VibrationManagerImpl.java View 2 chunks +3 lines, -3 lines 0 comments Download
A services/device/vibration/vibration_manager_impl.h View 1 chunk +22 lines, -0 lines 0 comments Download
A + services/device/vibration/vibration_manager_impl_default.cc View 1 chunk +2 lines, -1 line 0 comments Download
M services/device/vibration/vibration_manager_impl_unittest.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/vibration/resources/vibration-helpers.js View 1 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/modules/notifications/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/vibration/BUILD.gn View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/vibration/DEPS View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/vibration/VibrationController.h View 1 1 chunk +1 line, -1 line 0 comments Download
Trybot results:  ios-simulator   android_n5x_swarming_rel   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   cast_shell_android   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   android_compile_dbg   android_cronet   android_n5x_swarming_rel   android_arm64_dbg_recipe   android_clang_dbg_recipe   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_rel_ng   ios-simulator   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   cast_shell_android   linux_android_rel_ng   android_compile_dbg   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe 

Messages

Total messages: 72 (62 generated)
leonhsl(Using Gerrit)
Hi, Colin, I need your help on this CL before sending out to formal review ...
8 months, 3 weeks ago (2017-03-28 07:32:36 UTC) #23
blundell
This looks fine! I think the bug you're hitting is crbug.com/665222.
8 months, 3 weeks ago (2017-03-28 13:45:47 UTC) #24
leonhsl(Using Gerrit)
On 2017/03/28 13:45:47, blundell wrote: > This looks fine! I think the bug you're hitting ...
8 months, 3 weeks ago (2017-03-29 02:53:57 UTC) #25
leonhsl(Using Gerrit)
PTAL, Thanks! rockot@: Overall review and OWNER review for //device/* and //services/* haraken@: OWNER review ...
8 months, 1 week ago (2017-04-12 13:42:56 UTC) #57
Tom Sepez
RS LGTM
8 months, 1 week ago (2017-04-12 16:13:24 UTC) #60
haraken
WebKit LGTM
8 months, 1 week ago (2017-04-13 02:25:40 UTC) #65
leonhsl(Using Gerrit)
Hi, Ken, friendly ping~ Thanks.
8 months ago (2017-04-17 05:45:23 UTC) #66
Ken Rockot(use gerrit already)
Sorry, was OOO - LGTM
8 months ago (2017-04-18 21:45:49 UTC) #67
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2776983002/240001
8 months ago (2017-04-18 23:21:19 UTC) #69
commit-bot: I haz the power
8 months ago (2017-04-19 01:15:06 UTC) #72
Message was sent while issue was closed.
Committed patchset #2 (id:240001) as
https://chromium.googlesource.com/chromium/src/+/619fa1b9313edde43a21f0506e6c...

Powered by Google App Engine
This is Rietveld 0eb02b776